package com.aucma.api.domain.vo;

import com.aucma.api.domain.dto.WERKSDto;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;
import java.util.List;

/**
 * @ClassName : SAPResultBomVo
 * @Description : zhouhy
 * @Author :
 * @Date: 2023-10-08 10:05
 */
public class SAPResultBomVo {
    @JsonProperty(value = "O_TAB")
    private HashMap<String, List<HashMap<String, String>>> O_TAB;

    @JsonProperty(value = "WERKS")
    private WERKSDto WERKS;

    @JsonProperty(value = "O_RETURN")
    private WERKSDto O_RETURN;

    @JsonProperty(value = "EDATE")
    private String EDATE;
    @JsonProperty(value = "NDATE")
    private String NDATE;
    @JsonProperty(value = "XTYPE")
    private String XTYPE;

    public HashMap<String, List<HashMap<String, String>>> getO_TAB() {
        return O_TAB;
    }

    public void setO_TAB(HashMap<String, List<HashMap<String, String>>> o_TAB) {
        O_TAB = o_TAB;
    }

    public WERKSDto getWERKS() {
        return WERKS;
    }

    public void setWERKS(WERKSDto WERKS) {
        this.WERKS = WERKS;
    }

    public WERKSDto getO_RETURN() {
        return O_RETURN;
    }

    public void setO_RETURN(WERKSDto o_RETURN) {
        O_RETURN = o_RETURN;
    }

    public String getEDATE() {
        return EDATE;
    }

    public void setEDATE(String EDATE) {
        this.EDATE = EDATE;
    }

    public String getNDATE() {
        return NDATE;
    }

    public void setNDATE(String NDATE) {
        this.NDATE = NDATE;
    }

    public String getXTYPE() {
        return XTYPE;
    }

    public void setXTYPE(String XTYPE) {
        this.XTYPE = XTYPE;
    }

    @Override
    public String toString() {
        return "SAPResultBomVo{" +
                "O_TAB=" + O_TAB +
                ", WERKS=" + WERKS +
                ", O_RETURN=" + O_RETURN +
                ", EDATE='" + EDATE + '\'' +
                ", NDATE='" + NDATE + '\'' +
                ", XTYPE='" + XTYPE + '\'' +
                '}';
    }
}
